ru.bitel.bgbilling.modules.pscb.common.bean

## Class Transaction

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.common.bean.BGAbstractTransaction
    - - ru.bitel.bgbilling.modules.pscb.common.bean.Transaction

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class Transaction
      extends BGAbstractTransaction

  Bean для платежа в платежной системе PSCB (Петербургский социальный коммерческий банк)
  Author:
    reflexive
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

      `status`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transaction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPaymentMethod()` Получение метода оплаты, которым совершили данный платеж (qiwi, карта и т.д.)
    `void` | `setPaymentMethod(java.lang.String paymentMethod)` Установка метода оплаты.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

      `getContractId, getContractTitle, getCreateDate, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, setContractId, setContractTitle, setCreateDate, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Transaction

          public Transaction()

  - ### Method Detail

    - #### getPaymentMethod

          public java.lang.String getPaymentMethod()

      Получение метода оплаты, которым совершили данный платеж (qiwi, карта и т.д.)
      Returns:
        метод оплаты

    - #### setPaymentMethod

          public void setPaymentMethod(java.lang.String paymentMethod)

      Установка метода оплаты.
      Parameters:
        `paymentMethod` - метод оплаты. Примеры: “ac”, “qiwi”, “ym” и т.д.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `BGAbstractTransaction`